> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create partner scoped wallet



## OpenAPI

````yaml /openapi/partner.openapi.json post /partner/wallet
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
  - name: Partner Wallet
paths:
  /partner/wallet:
    post:
      tags:
        - Partner Wallet
      summary: Create partner scoped wallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePartnerWalletDto'
      responses:
        '200':
          description: Partner scoped wallet created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerWallet'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    CreatePartnerWalletDto:
      type: object
      required:
        - kyc
      properties:
        currency:
          $ref: '#/components/schemas/WalletCurrency'
        profileId:
          type: integer
          minimum: 1
        kyc:
          $ref: '#/components/schemas/CreatePartnerWalletKycDto'
    PartnerWallet:
      description: Partner scoped wallet.
      type: object
      required:
        - ID
        - Reference
        - CreatedAt
        - UpdatedAt
        - Wallet
      properties:
        ID:
          type: integer
        Reference:
          type: string
        RevokedAt:
          type: string
          format: date-time
          nullable: true
        CreatedAt:
          type: string
          format: date-time
        UpdatedAt:
          type: string
          format: date-time
        PayTag:
          $ref: '#/components/schemas/PayTag'
        Wallet:
          $ref: '#/components/schemas/Wallet'
        KycProfile:
          $ref: '#/components/schemas/PartnerWalletKycProfile'
    WalletCurrency:
      type: string
      enum:
        - NGN
        - FP
    CreatePartnerWalletKycDto:
      type: object
      required:
        - firstName
        - lastName
        - otherName
      properties:
        firstName:
          type: string
        lastName:
          type: string
        otherName:
          type: string
    PayTag:
      description: Paytag profile.
      type: object
      properties:
        Tag:
          type: string
        Name:
          type: string
        Email:
          type: string
        Phone:
          type: string
        ImageUrl:
          type: string
    Wallet:
      description: Wallet
      type: object
      required:
        - ID
        - CreatedAt
        - UpdatedAt
        - TotalAmount
        - Currency
        - SuspendedAmount
        - BlockedAmount
        - Status
        - AvailableAmount
        - Amount
        - Nuban
      properties:
        ID:
          type: integer
        CreatedAt:
          type: string
          format: date-time
        UpdatedAt:
          type: string
          format: date-time
        Metadata:
          type: object
          additionalProperties: true
        Type:
          $ref: '#/components/schemas/WalletType'
        PayTag:
          $ref: '#/components/schemas/PayTag'
        TotalAmount:
          type: number
        Currency:
          $ref: '#/components/schemas/WalletCurrency'
        SuspendedAmount:
          type: number
        BlockedAmount:
          type: number
        Status:
          $ref: '#/components/schemas/WalletStatus'
        AvailableAmount:
          type: number
        Amount:
          type: number
        Name:
          type: string
        Nuban:
          type: string
    PartnerWalletKycProfile:
      type: object
      properties:
        ID:
          type: integer
        Name:
          type: string
    WalletType:
      description: Wallet type.
      type: object
      properties:
        Name:
          type: string
    WalletStatus:
      type: string
      enum:
        - Enabled
        - Blocked
        - PND
        - PNC
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````